Announcement

Collapse
No announcement yet.

Upgrading from vB 2.2.6 and PHP 4.2.3 to vB 3.6.x and PHP 5.x

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Upgrading from vB 2.2.6 and PHP 4.2.3 to vB 3.6.x and PHP 5.x

    We're running a rather ancient version, vBulletin 2.2.6. (We're just using it on a company intranet, so we didn't have any compelling reason to upgrade.)

    For other reasons, we're wanting to upgrade our PHP from 4.2.3 to 5.x. However, when we upgraded PHP, we found that vBulletin no longer worked entirely correctly. (We could login and view messages, but we couldn't post new messages or login to the admin control panel.)

    We've rolled back PHP to 4.2.3 and now want to upgrade vBulletin to 3.6.x. However, vBulletin 3.6.x appears to require PHP 4.3.3 or later. *sigh*

    So we have three options:
    1. Upgrade PHP to 4.3.3+, then upgrade vBulletin to 3.6.x, then upgrade PHP to 5.x. That requires upgrading PHP twice, which is sort of annoying.
    2. The other is to upgrade vBulletin to some magic version, then upgrade PHP to 5.x, then upgrade vBulletin to 3.6.x. That requires upgrading PHP twice, which is still annoying, but less so than upgrading PHP twice. By "magic version", I mean a version of vBulletin that will work with PHP 4.2.3 and will work with PHP 5.x. Does such a version even exist?
    3. Upgrade PHP to 5.x, then upgrade vBulletin to 3.6.x. This would be the best option. However, this only works if all of the older upgrade scripts (e.g. the one that will take us from 2.2.6 to 2.2.7) will work with PHP 5.x, even though the old version of vBulletin being upgraded won't. Does anyone know whether that is the case?
    After this, I promise we'll never let our vBulletin get this far out of date again!

  • #2
    You should be able to upgrade to vB 3.5.7 with PHP 4.2.3. Then upgrade PHP once and upgrade vB to 3.6.4.
    Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
    Change CKEditor Colors to Match Style (for 4.1.4 and above)

    Steve Machol Photography


    Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


    Comment

    widgetinstance 262 (Related Topics) skipped due to lack of content & hide_module_if_empty option.
    Working...
    X